Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SORGTR

    java.lang.Object
      org.netlib.lapack.SORGTR

    public class SORGTR

extends java.lang.Object

    SORGTR is a simplified interface to the JLAPACK routine sorgtr.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SORGTR generates a real orthogonal matrix Q which is defined as the
     *  product of n-1 elementary reflectors of order N, as returned by
     *  SSYTRD:
     *
     *  if UPLO = 'U', Q = H(n-1) . . . H(2) H(1),
     *
     *  if UPLO = 'L', Q = H(1) H(2) . . . H(n-1).
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U': Upper triangle of A contains elementary reflectors
     *                 from SSYTRD;
     *          = 'L': Lower triangle of A contains elementary reflectors
     *                 from SSYTRD.
     *
     *  N       (input) INTEGER
     *          The order of the matrix Q. N >= 0.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the vectors which define the elementary reflectors,
     *          as returned by SSYTRD.
     *          On exit, the N-by-N orthogonal matrix Q.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,N).
     *
     *  TAU     (input) REAL array, dimension (N-1)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by SSYTRD.
     *
     *  WORK    (workspace/output) REAL array, dimension (MAX(1,LWORK))
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The dimension of the array WORK. LWORK >= max(1,N-1).
     *          For optimum performance LWORK >= (N-1)*NB, where NB is
     *          the optimal blocksize.
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SORGTR()`

Method Summary
`static void` | `SORGTR(java.lang.String uplo, int n, float[][] a, float[] tau, float[] work, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SORGTR

    public SORGTR()

Method Detail

### SORGTR

    public static void SORGTR(java.lang.String uplo,
                              int n,
                              float[][] a,
                              float[] tau,
                              float[] work,
                              int lwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD